Package org.astrogrid.samp.hub

# Interface MessageRestriction

All Known Implementing Classes:
  `ListMessageRestriction`

public interface MessageRestriction
Specifies restrictions on the message types that may be sent in a particular context. In general if null is used in place of a MessageRestriction object, the understanding is that no restrictions apply.

Since:
  23 Nov 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`permitSend(String mtype, Map subsInfo)`
Indicates whether a message covered by a given MType subscription may be sent.

## Method Details

### permitSend

boolean permitSend(String mtype, Map subsInfo)
Indicates whether a message covered by a given MType subscription may be sent.

Parameters:
  `mtype` - the MType string to be sent
  `subsInfo` - the annotation map corresponding to the MType subscription (the value from the Subscriptions map corresponding to the `mtype` key)
Returns:
  true if the message may be sent, false if it is blocked